
# --------------------------------------------------------------------- 
# Create database service for your plugin
#
# Call like this: `make pldb-create-{aimcode}`
#   ex. `make pldb-create-fb` for Facebook
# --------------------------------------------------------------------- 
pldb-create-% : .FORCE
	$(eval DBSVC:=$(patsubst pldb-create-%,%,$(@)))
	@echo "- $(@) --------------------------------------------------------------"
	@echo "  ... installing mongodb 3.7 via helm, chart version 0.4.25"
	@echo "  ... NOTE: no persistence! production should have that!!!!"
	@echo "  ... creating database pl$(DBSVC)db"
	helm install --name pl$(DBSVC)db	\
		--set mongodbRootPassword='${WOV_plugin_db_password}',mongodbUsername=${WOV_ple_db_user},persistence.enabled=false \
		--version 0.4.25 stable/mongodb

# This works, but commenting it out so deoesn't accidnetally get called
#pldb-delete: k8s-aim-check-plfb .FORCE
# helm delete pledb-mongodb
