
// Tests run in order
//  NOTE: require env vars so do 'make tests' or 'make testlog'

let all    =0;
let allReg =0;
let allFB  =0;

if ( all || 1 || allReg ) require('./3c_remotelistener')();

// Regular
/*
if ( all || 0 || allReg ) require('./0_util')();
if ( all || 0 || allReg ) require('./1_models')();
if ( all || 0 || allReg ) require('./2_plugin_base')();
if ( all || 0 || allReg ) require('./2a_plugin_encrypt')();
if ( all || 0 || allReg ) require('./3_remotelistener')();
// if ( all || 0 || al_reg ) require('./3a_remotelistener_server')();
if ( all || 0 || allReg ) require('./3b_remotelistener_engine')();
if ( all || 0 || allReg ) require('./4_woveonlistener')();
if ( all || 0 || allReg ) require('./5_plugin_ms')();
if ( all || 0 || allReg ) require('./6_woveon')();
if ( all || 0 || allReg ) require('./6a_woveon_dbchecks')();
*/

// Facebook
//  Facebook data can arrive via a webhook, the sipping of past data via RemoteListener,
//  and a user entering data on Woveon. On the remotelistener side (sipping and webhook), the
//  data is converted to Woveon's 'Bulk' format and sent. WoveonListener and RemoteListener must
//  also work to ensure Woveon created data (i.e. via the Woveon interface) gets to
//  Facebook via Gateway, but that the webhook event Facebook returns, does not go
//  back to Woveon (except update since that could change the data).
/*
if ( all || 0 || allFB ) require('./7_fb_unit')();
if ( all || 0 || allFB ) require('./7b_fb_webhookunit')();
if ( all || 0 || allFB ) require('./7c_fb_dataconversion')();
if ( all || 0 || allFB ) require('./7d_fb_woveonlistener')();
if ( all || 0 || allFB ) require('./7e_fb_sipping')();
*/
